Skip to content
Developer

BookableType

Locations and bookings5 EndpointsEvent / BookableType

This method will get all BaseBookableBookableType Objects

GET/api/event/bookable_type

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived
namestring
shortNamestringKurzname for compact UI labels (e.g. calendars, badges).
viewOrderinteger
menuNamestring
menuIconstring
showAdminMenuboolean
showAdminCalendarboolean
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BaseBookableBookableType objectsarray<BaseBookableBookableType>

Show fields (11)
  • idstring

    Identifier of the bookable type. For example room or vehicle.

  • short_namestring

    Kurzname for compact UI labels (e.g. calendars, badges).

  • namestring

    Name of the bookable type.

  • view_orderinteger

    Sort order of the bookable type in lists.

  • menu_namestring

    Name of the menu entry for the bookable type.

  • menu_iconstring

    Icon of the menu entry for the bookable type.

  • show_admin_menuboolean

    Show the bookable type in the admin menu.

  • show_admin_calendarboolean

    Show the bookable type in the admin calendar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/bookable_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": "42",
    "short_name": "Beispiel",
    "name": "Beispiel",
    "menu_name": "Beispiel",
    "view_order": 1,
    "menu_icon": "string",
    "show_admin_menu": true,
    "show_admin_calendar": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Add a new BaseBookableBookableType

POST/api/event/bookable_type

Request body application/json

  • dataBaseBookableBookableType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new BaseBookableBookableTypeBaseBookableBookableType

Show fields (11)
  • idstring

    Identifier of the bookable type. For example room or vehicle.

  • short_namestring

    Kurzname for compact UI labels (e.g. calendars, badges).

  • namestring

    Name of the bookable type.

  • view_orderinteger

    Sort order of the bookable type in lists.

  • menu_namestring

    Name of the menu entry for the bookable type.

  • menu_iconstring

    Icon of the menu entry for the bookable type.

  • show_admin_menuboolean

    Show the bookable type in the admin menu.

  • show_admin_calendarboolean

    Show the bookable type in the admin calendar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/bookable_type \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "short_name": "Beispiel",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "view_order": 1,
  "menu_icon": "string",
  "show_admin_menu": true,
  "show_admin_calendar": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

This method will get a single BaseBookableBookableType with the given id

GET/api/event/bookable_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BaseBookableBookableTypeBaseBookableBookableType

Show fields (11)
  • idstring

    Identifier of the bookable type. For example room or vehicle.

  • short_namestring

    Kurzname for compact UI labels (e.g. calendars, badges).

  • namestring

    Name of the bookable type.

  • view_orderinteger

    Sort order of the bookable type in lists.

  • menu_namestring

    Name of the menu entry for the bookable type.

  • menu_iconstring

    Icon of the menu entry for the bookable type.

  • show_admin_menuboolean

    Show the bookable type in the admin menu.

  • show_admin_calendarboolean

    Show the bookable type in the admin calendar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/bookable_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "short_name": "Beispiel",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "view_order": 1,
  "menu_icon": "string",
  "show_admin_menu": true,
  "show_admin_calendar": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a BaseBookableBookableType

PUT/api/event/bookable_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseBookableBookableType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseBookableBookableTypeBaseBookableBookableType

Show fields (11)
  • idstring

    Identifier of the bookable type. For example room or vehicle.

  • short_namestring

    Kurzname for compact UI labels (e.g. calendars, badges).

  • namestring

    Name of the bookable type.

  • view_orderinteger

    Sort order of the bookable type in lists.

  • menu_namestring

    Name of the menu entry for the bookable type.

  • menu_iconstring

    Icon of the menu entry for the bookable type.

  • show_admin_menuboolean

    Show the bookable type in the admin menu.

  • show_admin_calendarboolean

    Show the bookable type in the admin calendar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/bookable_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "short_name": "Beispiel",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "view_order": 1,
  "menu_icon": "string",
  "show_admin_menu": true,
  "show_admin_calendar": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a BaseBookableBookableType

PATCH/api/event/bookable_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseBookableBookableType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseBookableBookableTypeBaseBookableBookableType

Show fields (11)
  • idstring

    Identifier of the bookable type. For example room or vehicle.

  • short_namestring

    Kurzname for compact UI labels (e.g. calendars, badges).

  • namestring

    Name of the bookable type.

  • view_orderinteger

    Sort order of the bookable type in lists.

  • menu_namestring

    Name of the menu entry for the bookable type.

  • menu_iconstring

    Icon of the menu entry for the bookable type.

  • show_admin_menuboolean

    Show the bookable type in the admin menu.

  • show_admin_calendarboolean

    Show the bookable type in the admin calendar.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/bookable_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "short_name": "Beispiel",
  "name": "Beispiel",
  "menu_name": "Beispiel",
  "view_order": 1,
  "menu_icon": "string",
  "show_admin_menu": true,
  "show_admin_calendar": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}